Key overview
| Key version | V4 |
|---|---|
| Specification | RFC 2440 · RFC 4880 · RFC 9580 |
| Status | Compatible, but deprecated by RFC 9580 |
| Primary key (certify, sign) | ECDSA NIST P-256 · ID 19 · SHA-256 |
| Encryption subkey | ECDH NIST P-256 · ID 18 |
| Fingerprint | 9035B23C46C6563DF82B9E4AFD8B9262EA769B30 |
| Passphrase of the private key | synthetic-key-password |
Algorithms and use
ECDSA NIST P-256: Elliptic-curve signature on the NIST P-256 curve, common in smart cards, HSMs and environments that require NIST curves.
ECDH NIST P-256: Elliptic-curve Diffie-Hellman encryption subkey on NIST P-256.
Public key
The public certificate with the primary key, the encryption subkey and their binding signatures. Import it to verify signatures or to encrypt to this test identity.
Download → 725 bytes
-----BEGIN PGP PUBLIC KEY BLOCK-----
xlIEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9zSZDSC1KIG1hdHJp
eCAyMS12NC1lY2RzYS1wMjU2K2VjZGgtcDI1NsKMBBMTCAA0BQJq94T/FiEEkDWy
PEbGVj34K55K/YuSYup2mzACGwMCHgEDCwkHARUBFgUnCQIHAgIZAQAKCRD9i5Ji
6nabMCpEAQCx7hJxkEYid8QSVBgYQ75UIhUkk5UCgBt2BFnMz0Y92QEAwxc+ut0c
P1Nw8Vj4j1P8y14TPsnXZlD9Z2EupbOBLx7OVgRq94T/EggqhkjOPQMBBwIDBAPh
yQIH6+6XdJj+CNhL8djMYuA2qdGo91dpPFsIQawnf8gBndG/8GYKiaQ7Kk3m+JTe
WrURcrfp6CnfmMLmtxoDAQgHwngEGBMIACAFAmr3hP8WIQSQNbI8RsZWPfgrnkr9
i5Ji6nabMAIbDAAKCRD9i5Ji6nabMBT1AQCtittaItUx5XMRZ+wmM+LbbVxTR+Yt
zwpGTHDiVHMMrgD+IPYPe/UFmG3UTGeISGKKkuGiHB1Oo/akskAikO4t4Y4=
=lumU
-----END PGP PUBLIC KEY BLOCK-----
Private key
The private key, protected with the passphrase shown above. Published for testing only: anyone can use it.
Download → 951 bytes
Show
-----BEGIN PGP PRIVATE KEY BLOCK-----
xaUEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9/gkDCFURBCm9cjNe
4EN4aM1H5Zk18vmdR9Orrrh0qYonW1kRXrcoDIJn+qu6pXHpSNuhmvNpH/J2VR2H
knqkyWQBwS0Ny0MNcJIfeFdtyDcSU4HNJkNILUogbWF0cml4IDIxLXY0LWVjZHNh
LXAyNTYrZWNkaC1wMjU2wowEExMIADQFAmr3hP8WIQSQNbI8RsZWPfgrnkr9i5Ji
6nabMAIbAwIeAQMLCQcBFQEWBScJAgcCAhkBAAoJEP2LkmLqdpswKkQBALHuEnGQ
RiJ3xBJUGBhDvlQiFSSTlQKAG3YEWczPRj3ZAQDDFz663Rw/U3DxWPiPU/zLXhM+
yddmUP1nYS6ls4EvHsepBGr3hP8SCCqGSM49AwEHAgMEA+HJAgfr7pd0mP4I2Evx
2Mxi4Dap0aj3V2k8WwhBrCd/yAGd0b/wZgqJpDsqTeb4lN5atRFyt+noKd+Ywua3
GgMBCAf+CQMIVczLM7xTf1ngxa7cGuQZK+wSYgMgYe9qNrtY9C+wJ4Uyk5o2+vQD
wO0NeGmBe3D9fsglKFVub/2Le++MWokdGxhSgqXzompyM8nlN8UGY8J4BBgTCAAg
BQJq94T/FiEEkDWyPEbGVj34K55K/YuSYup2mzACGwwACgkQ/YuSYup2mzAU9QEA
rYrbWiLVMeVzEWfsJjPi221cU0fmLc8KRkxw4lRzDK4A/iD2D3v1BZht1ExniEhi
ipLhohwdTqP2pLJAIpDuLeGO
=9LHf
-----END PGP PRIVATE KEY BLOCK-----
Revocation certificate
A pre-generated revocation certificate. Importing it marks the key as revoked; it is published so you can test how software handles revoked keys.
Download → 888 bytes
Show
-----BEGIN PGP PUBLIC KEY BLOCK-----
xlIEaveE/xMIKoZIzj0DAQcCAwTiO2guFVq+8UnLZmUDR5k2BseblWOTZL/YazD4
W0sYE0tBjponCMjCzBIGbDLw5JPZlN46vtmb5ojV6ALysNA9wnUEIBMIAB0FAmr3
hP8WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAAKCRD9i5Ji6nabMMMvAQDZsYafgU8w
DxL/9AIp7XyUdZgD+TALeB9DCYv8pHAqjQD/TL5S2FlR1+h/e5fB7hvYH8upxWOB
XxDnjEgnxk5wvdjNJkNILUogbWF0cml4IDIxLXY0LWVjZHNhLXAyNTYrZWNkaC1w
MjU2wowEExMIADQFAmr3hP8WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAIbAwIeAQML
CQcBFQEWBScJAgcCAhkBAAoJEP2LkmLqdpswKkQBALHuEnGQRiJ3xBJUGBhDvlQi
FSSTlQKAG3YEWczPRj3ZAQDDFz663Rw/U3DxWPiPU/zLXhM+yddmUP1nYS6ls4Ev
Hs5WBGr3hP8SCCqGSM49AwEHAgMEA+HJAgfr7pd0mP4I2Evx2Mxi4Dap0aj3V2k8
WwhBrCd/yAGd0b/wZgqJpDsqTeb4lN5atRFyt+noKd+Ywua3GgMBCAfCeAQYEwgA
IAUCaveE/xYhBJA1sjxGxlY9+CueSv2LkmLqdpswAhsMAAoJEP2LkmLqdpswFPUB
AK2K21oi1THlcxFn7CYz4tttXFNH5i3PCkZMcOJUcwyuAP4g9g979QWYbdRMZ4hI
YoqS4aIcHU6j9qSyQCKQ7i3hjg==
=y/vE
-----END PGP PUBLIC KEY BLOCK-----
Signature of test_1MB.bin
Detached ASCII-armored signature of test_1MB.bin made with this key in CH-J Tools. Save it as test_1MB.bin.asc next to the test file.
Download → 228 bytes
-----BEGIN PGP SIGNATURE-----
wnUEABMIAB0WIQSQNbI8RsZWPfgrnkr9i5Ji6nabMAUCaveO8QAKCRD9i5Ji6nab
MKkPAQCGF3CU65a6U9xHp5Pnn6N9upLJTk9mkd9bxE6mghNDiwD+MXFxKbjlwS5B
thbU1fKoTtT9z5QRjlfFCuPe+y/a6wE=
=loPC
-----END PGP SIGNATURE-----
Verify the signature
Version 4 keys work with GnuPG and with SOP tools such as sqop or rsop, as far as the algorithms are supported. Use a temporary GNUPGHOME so the test key does not enter your real keyring:
gpg --import pgp-example-21-public.asc
gpg --verify test_1MB.bin.asc test_1MB.bin